import { FormConfig } from "/@/components/PageSearch";
import { taxStatusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      type: 'input',
      field: 'goodName',
      placeholder: '商品名称'
    },
    {
      type: 'input',
      field: 'bidNo',
      placeholder: '商品编码'
    },
    {
      options: taxStatusOptions,
      placeholder:'类目状态',
      field: "tax_status",
      type: "select"
    },
    {
      type: 'input',
      field: 'infoNo',
      placeholder: '竞价单号'
    },
  ]
};

export default searchFormConfig;
