import { FormConfig } from "/@/components/PageSearch"
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      options:statusOptions,
      type: "select",
      field: "status",
      placeholder:'状态'
    },
    {
      type: "input",
      field: 'brand_name',
      placeholder:'品牌名称'
    }
  ]
};

export default searchFormConfig;
