import { FormConfig } from "/@/components/PageSearch";
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      type: "supplier-query",
      field: "supplierNo",
      placeholder:'供应商名称'
    },
    {
      field: "status",
      type: "select",
      options: statusOptions,
      placeholder:'状态'
    },
    {
      type: "input",
      field: "creater",
      placeholder:'创建人'
    },
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
  ]
};

export default searchFormConfig;
