import { FormConfig } from "/@/components/PageSearch"
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        endProp: "end",
        startProp: "start",
        type: "daterange",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder:'平台状态',
      options: statusOptions
    },
    {
      field:'platform_name',
      type:'input',
      placeholder:' 平台名称'
    },
    {
      field:'creater',
      type:'input',
      placeholder:' 创建人'
    }
  ]
};

export default searchFormConfig;
