import { statusOptions } from "./options";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      type: "select",
      field: "status",
      placeholder: "审核状态",
      options: statusOptions
    },
    {
      type: "input",
      field: "supplierName",
      placeholder: "离职人姓名"
    },
    {
      type: "input",
      field: "supplierName_js",
      placeholder: "接受人姓名"
    },
    {
      field: "addtime",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "创建开始时间",
        endPlaceholder: "创建结束时间"
      }
    },
  ]
};

export default searchFormConfig;
