const initheaders = [
  "收款方公司编码",
  "收款方公司名称",
  "资金编码",
  "订单编码",
  "认领资金"
];

export const requireHeaders = [
  "收款方公司编码",
  "资金编码",
  "订单编码",
  "认领资金"
];

export const requsetHeaderIdxs = [
  "companyNo",
  "tradNo",
  "orderCode",
  "trad_fee"
];

const columns = () => {
  const list: any[] = [
    {
      type: "index",
      width: "50",
      fixed: "left",
      label: "序号"
    },
    {
      prop: "companyNo",
      label: "收货总数"
    },
    {
      prop: "companyName",
      label: "收货联系电话"
    },
    {
      prop: "tradNo",
      label: "收货省市区(文件导入)"
    },
    {
      prop: "orderCode",
      label: "收货省市区(系统解析)"
    },
    {
      prop: "trad_fee",
      label: "详细地址"
    },
    {
      prop: "todo10",
      label: '操作 ',
      width: '80px'
    }
  ];
  return list;
};

export { initheaders, columns };
