import { ModalConfig } from "/@/components/PageModal/src/types";

const modalConfig: ModalConfig = {
  title: "品牌支持",
  colLayout: { span: 24 },
  itemStyle: {},
  labelWidth:'120px',
  formItems: [
    {
      field: "brand_name",
      type: "input",
      label: "品牌名称",
      labelWidth: "120px",
      placeholder: "品牌名称",
      rules: [{ required: true, trigger: "change", message: "请输入品牌名称" }]
    },
    {
      field:'logo_url',
      type: 'img_upload',
      label: 'LOGO',
      otherOptions: { style: 'width:100px; height:100px' }
    }
  ]
};

export default modalConfig;
