import { statusOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      type: "select",
      field: "output_status",
      placeholder:'可用状态',
      options: statusOptions,
      trigger: 'change'
    },
    {
      type: "input",
      field: "cat_name",
      placeholder:'货物和劳务名称',
      options: statusOptions,
      trigger: 'change'
    },
    {
      type: "input",
      field: "short_name",
      placeholder:'商品和服务分类简称',
      options: statusOptions,
      trigger: 'change'
    },
    {
      type: "input",
      field: "cat_code",
      placeholder:'类目编号',
      options: statusOptions,
      trigger: 'change'
    }
  ]
};

export default searchFormConfig;
