import { FormConfig } from "/@/components/PageSearch"
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "code",
      trigger: 'change',
      type: "supplier-query",
      placeholder: '供应商公司'
    },
    {
      field: 'status',
      type:'select',
      options: statusOptions,
      placeholder: "状态"
    }
  ]
};

export default searchFormConfig;
