import { FormConfig } from "/@/components/PageSearch"
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        endProp: "end",
        startProp: "start",
        type: "daterange",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      options:statusOptions,
      placeholder:'状态',
      field: "status",
      type: "select",
    },
    {
      field: "unit",
      placeholder:'单位名称',
      type: "input",
    }
  ]
};

export default searchFormConfig;
